dpkg-fsys-usrunmess(8)

BEZEICHNUNG
dpkg-fsys-usrunmess - macht die Unordnung durch merged-/usr-via-aliased-dirs rückgängig

ÜBERSICHT
dpkg-fsys-usrunmess [Option …]

BESCHREIBUNG
dpkg-fsys-usrunmess ist ein Werkzeug, das Dateisysteme repariert, die mit neueren Installationsprogrammen mit unglücklichen Vorgaben neu installiert wurden oder die auf defekte vereinigte /usr mittels des Alias-Verzeichnis-Layouts migriert wurden, welches von Dpkg nicht unterstützt wird. Siehe die FAQ von Dpkg.

Hinweis: Das technische Komitee von Debian hat verkündigt, dass nach der Veröffentlichung von Bookworm das Layout ohne vereinigtes usr (»non-usrmerged«) nicht mehr unterstützt wird. Daher könnten einige ihrer Betreuer Probleme nicht beheben oder bewusst Unterstützung für nicht zusammengeführte usr entfernen. Daher müssen Sie sich entscheiden und das Gift Ihrer Wahl wählen.

Das Programm wird folgende grobe Aktionen durchführen:

•   Überprüft, ob das System umgestellt werden muss, macht andernfalls nichts.

•   Prüft auf die Konsistenz der Dpkg-Datenbank und bricht andernfalls ab.

•   Erstellt und installiert ein Paket zur Vermeidung von Regressionen, falls dies auf der Befehlszeile oder anderweitig an der Eingabeauforderung erbeten wurde.

•   Ermittelt die Liste der Dateien und Alternativen, die wiederhergestellt werden müssen.

•   Sucht nach nicht nachverfolgten Kernelmoduldateien, die auch verschoben werden müssen.

•   Erstellt eine Schatten-Hierarchie unter /.usrunmess, indem es Verzeichnissymlinks oder -hardlinks oder -Kopien wie notwendig erstellt.

•   Bittet um Bestätigung vor dem Fortfahren, falls auf der Befehlszeile erbeten.

•   Sperrt die Dpkg-Datenbank.

•   Markiert alle Pakete als halbkonfiguriert, um die Ausführung der Betreuerskripte zu erzwingen, die notwendig sein könnten, um Dateien neu zu erstellen.

•   Ersetzt die Alias-Verzeichnisse mit den aus dem Schattenbereich, indem eine Sicherungskopie des alten Symlink-Verzeichnisses erstellt und das aus dem Schattenbereich darüber umbenannt wird.

•   Bringt MAC-Informationen für Verzeichnisse und Symlinks wo notwendig neu an.

•   Entfernt alle Sicherungskopie-Symlinks.

•   Entfernt alle verschobenen Objekte, verzögert aber die Entfernung des Verzeichnisses.

•   Entfernt alle verzögerten Verzeichnisse, die nicht mehr von Dpkg-query referenziert werden.

•   Entfernt das Schatten-Wurzelverzeichnis.

•   Registriert ein policy-rc.d, um Diensteaktionen zu verbieten, was bedeutet, dass Dienste danach neu gestartet werden müssen, idealerweise durch einen Systemneustart.

•   Rekonfiguriert alle Pakete.

•   Entfernt die Registrierung der policy-rc.d und stellt den alternativen Zustand wieder her.

Hinweis:: Wird das Programm aus einigen Shells wie bash(1) oder zsh(1) ausgeführt, dann müssen Sie nach der Ausführung die Shell anweisen, alle gespeicherten Orte von Programmen zu vergessen, beispielsweise mit "hash -r".

Hinweis: Einige Verzeichnisse könnten nach der Migration fortbestehen, falls sie Dateien enthalten, die nicht nachverfolgt wurden. Sobald das Skript abgeschlossen wurde, wird eine Liste zur weiteren Untersuchung ausgegeben.

Warnung: Beachten Sie, dass diese Aktion die Möglichkeit eröffnet, dass Ihr System unbrauchbar oder defekt wird, falls das System unerwartet abstürzt oder neustartet, es sich in einem unerwarteten Zustand befindet oder sich möglicherweise Fehler in dem Skript befinden. Halten Sie Medien zur Systemwiederherstellung bereit und erstellen Sie vor der Ausführung Sicherungskopien.

OPTIONEN

-p, --prompt
    Bittet am Punkt, ab dem die Änderungen nicht mehr rückgängig gemacht werden können, um Bestätigung, so dass die Fehlersuchausgabe oder die Schatten-Hierarchie untersucht werden können, bevor fortgefahren wird.

--prevention
--no-prevention
    Aktiviert oder deaktivert die Erstellung und Installation eines Regressionsverhinderungspakets in das System. Falls keine Option angegeben wurde, wird gefragt, welche Aktion durchgeführt werden soll.

    Beim erstellten Paket ist das Feld Protected auf yes gesetzt, um gegen versehentliches Entfernen des Pakets zu schützen.

-n, --no-act
--dry-run
    Diese Option aktiviert den Probelaufmodus, bei der keine zerstörenden Aktionen stattfinden, nur der vorbereitende Anteil.

-?, --help
    Zeigt einen Hinweis zum Aufruf und beendet das Programm.

--version
    Gibt die Version aus und beendet das Programm.

UMGEBUNG

DPKG_USRUNMESS_NOACT
    Diese Einstellung definiert, ob der Probelaufmodus aktiviert wird.

SIEHE AUCH
<https://wiki.debian.org/Teams/Dpkg/FAQ#broken-usrmerge>.

ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2023 von Helge Kreutzmann <debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und 2008 von Sven Joachim <svenjoac@gmx.de> angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE HAFTUNG.